Subject: Re: [PATCH] Celleb: improve htab lock

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 09 Feb 2007 17:52:00 +1100

> We need to turn IRQs off when calling htab functions if and only
> if it is non-atomic, so the "pSeries with LPAR" htab function have
> no spin_lock or local_irq_save/restore. We think tweaking EE bit
> locally gives a way to decrease times to be IRQs off and on again
> (yes, it's smallthing to compare with calling HV),
> so we prefer current implementation.

Well, it might be indeed worth keeping it that way to avoid long
latencies with EE off with a big batch... I'll keep it that way for now,
though I suppose I should add some documentation on the expected caller
context in machdep.h next to the function pointers.

Ben.